Skip to content

Service Management

All operations require authentication.

7 operationsv1/storage/nasha
View as Markdown (opens in a new tab)
Agent setup

List servicesBeta

GET
/v1/storage/nasha

Returns your services.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200ServiceWithIAM[]successful operation
apiPath
read-only
ServiceApiPathEnum

API path under which the service is managed

Values/dedicated/nasha/storage/nasha
createdAt
read-only
stringdate-time

Service creation date

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the service

status
read-only
ServiceStatusEnum

Service status

Valuescreatingdeleteddeletingerrorreopeningrunningsuspendedsuspending

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "apiPath": "/dedicated/nasha", "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "status": "creating" }]

Get a serviceBeta

GET
/v1/storage/nasha/{serviceName}

Returns the service and its status.

Path parameters

serviceName
required
string

Service name

Response

200ServiceWithIAMsuccessful operation
apiPath
read-only
ServiceApiPathEnum

API path under which the service is managed

Values/dedicated/nasha/storage/nasha
createdAt
read-only
stringdate-time

Service creation date

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the service

status
read-only
ServiceStatusEnum

Service status

Valuescreatingdeleteddeletingerrorreopeningrunningsuspendedsuspending

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "apiPath": "/dedicated/nasha", "createdAt": "2024-01-01T12:00:00Z", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "status": "creating"}

Get service informationBeta

GET
/v1/storage/nasha/{serviceName}/serviceInfos

Returns contacts, creation and expiration dates, and renewal settings.

Path parameters

serviceName
required
string

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Launch a contact change procedureBeta

POST
/v1/storage/nasha/{serviceName}/changeContact

Starts the change of the admin, tech or billing contact and returns the request IDs.

Path parameters

serviceName
required
string

Service name

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Ask for the termination of your serviceBeta

POST
/v1/storage/nasha/{serviceName}/terminate

Emails a termination token to the admin contact, to use with Confirm service termination.

Path parameters

serviceName
required
string

Service name

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Confirm service terminationBeta

POST
/v1/storage/nasha/{serviceName}/confirmTermination

Confirms the termination with the emailed token and records your reason.

Path parameters

serviceName
required
string

Service name

Request body (required)

commentary
string

Commentary about your termination request

commentaryFutureUse
string

Commentary about your future use

commentaryReason
string

Commentary about your reason for termination request

futureUse
TerminationFutureUseEnum

All future uses you can provide for a service termination

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

All reasons you can provide for a service termination

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Update service informationBeta

PUT
/v1/storage/nasha/{serviceName}/serviceInfos

Changes how the service renews; renew is the only editable field.

Path parameters

serviceName
required
string

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum

service.StateEnum

ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/storage/nasha/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"